> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List Network Connections



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/container_runtime_insights/network_connections
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/container_runtime_insights/network_connections:
    get:
      tags:
        - Network Connections
      summary: List Network Connections
      parameters:
        - description: Account id
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Cluster ids
          in: query
          name: cluster_ids
          schema:
            type: string
        - description: Search phrase
          in: query
          name: q
          schema:
            type: string
        - description: 'Filters in format: key1:value1,key2:value2'
          in: query
          name: filters
          schema:
            type: string
        - description: 'Maximum number of results to return. Default: 100'
          in: query
          name: limit
          schema:
            type: integer
        - description: 'Number of results to skip. Default: 0'
          in: query
          name: offset
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleListResp-NetworkConnection'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    SimpleListResp-NetworkConnection:
      properties:
        entries:
          items:
            $ref: '#/components/schemas/NetworkConnection'
          type: array
        has_more:
          type: boolean
        total_count:
          type: integer
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    NetworkConnection:
      properties:
        account_id:
          type: string
        cluster_id:
          type: string
        destination_addr:
          type: string
        destination_hostname:
          type: string
        destination_port:
          type: integer
        destination_ports:
          items:
            type: integer
          type: array
        destination_service_name:
          type: string
        destination_service_namespace:
          type: string
        destination_workload_kind:
          type: string
        destination_workload_name:
          type: string
        destination_workload_namespace:
          type: string
        first_seen_at:
          type: string
        id:
          type: string
        last_seen_at:
          type: string
        source_workload_kind:
          type: string
        source_workload_name:
          type: string
        source_workload_namespace:
          type: string
        trusted_ip:
          type: boolean
        trusted_ip_description:
          type: string
        trusted_ip_prefix:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````